Bug 186268 - Brightness controls using the 'Fn' and F keys on Fujitsu Lifebook P Series (P1510D) do not work
Brightness controls using the 'Fn' and F keys on Fujitsu Lifebook P Series (P...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
OldNeedsRetesting
: Desktop
Depends On:
Blocks: 183425
  Show dependency treegraph
 
Reported: 2006-03-22 11:52 EST by Suzanne Hillman
Modified: 2009-07-14 13:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:05:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Suzanne Hillman 2006-03-22 11:52:37 EST
Description of problem:
Brightness controls using the 'Fn' with the F6 and F7 keys on Fujitsu Lifebook P
Series (P1510D) do not work. All other Fn keys on the laptop work. Checked with
davej's newest kernel available on his people page, as well.

Version-Release number of selected component (if applicable):
kernel-2.6.16-1.2069_FC5 (also did not work with pre-GOLD FC5 rawhide; don't
know the kernel version)

How reproducible:
Always

Steps to Reproduce:
1. Obtain a Fujitsu Lifebook P Series (P1510D) with FC5 on it
2. Try to use the brightness <Fn> <F6> or <F7> keys to modify the brightness
  
Actual results:
No change.

Expected results:
Brightness should change.

Additional info:
Before I understood that Fn keys are never understood by X, I entered this as
bug 184560.
Comment 1 Dave Jones 2006-10-16 14:00:26 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 2 Suzanne Hillman 2007-06-06 09:41:01 EDT
Not fixed as of 2.6.20-1.3023.fc7.
Comment 3 Jon Stanley 2008-03-31 14:31:23 EDT
Removing NeedsRetesting from whiteboard so we can repurpose it.
Comment 4 Trustin Lee 2008-04-29 21:31:00 EDT
Not fixed yet as of 2.6.25-8.fc9, rawhide.  I am using Fujitsu Lifebook S6510.

fujitsu_laptop is loaded successfully with the following message:

ACPI: Fujitsu FUJ02B1 [FJEX] (on)
fujitsu-laptop: driver 0.3 successfully loaded.

but pressing Fn+F6/F7 causes the following error messages in dmesg:

ACPI Error (psargs-0355): [\_SB_.PCI0.GFX0.LCD_.BLNF] Namespace lookup failure,
AE_NOT_FOUND
ACPI Error (psparse-0537): Method parse/execution failed [\_GPE._L1C] (Node
ffff8100bee46d80), AE_NOT_FOUND
ACPI Exception (evgpe-0577): AE_NOT_FOUND, while evaluating GPE method [_L1C]
[20070126]
Comment 5 Bug Zapper 2008-05-14 08:00:04 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Trustin Lee 2008-05-14 10:04:24 EDT
This issue still exists in Fedora 9.
Comment 7 Bug Zapper 2009-06-09 18:07:30 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-14 13:05:07 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.